Subject: RE: [MMUSIC] Clarification on use of sendonly for hold

From: "Christer Holmberg (JO/LMF)" <[email-masked]>
Date: Tue, 4 Nov 2003 08:06:57 +0100

Hi,

I think it's also to think about what is sent in the ANSWER (it's not very well described in RFC3264).

IF the UAS knows the UAS wishes to put the call on-hold (sending "sendonly" in the offer doesn't always have to indicate that, as Jonathain said) it may answer with "inactive". However, if the UAC simply, for whatever reason, doesn't want to receive, but still send, media (by sending "sendonly" in the offer) the UAS may answer with "recvonly".

Again, this should probably be a little more clarified in RFC3264.

Regards,

Christer Holmberg
Ericsson Finland

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Jonathan Rosenberg
> Sent: 4. marraskuuta 2003 6:49
> To: Paul Kyzivat
> Cc: Elwell, John; [email-masked]'
> Subject: Re: [MMUSIC] Clarification on use of sendonly for hold
> 
> 
> Its not the feature "on-hold" that is being signaled. Its the fact 
> that media is not desired, which can be signaled for any number of 
> reasons.
> 
> -Jonathan R.
> 
> Paul Kyzivat wrote:
> 
> > That sort of makes sense, but it presents a problem. It 
> doesn't provide 
> > a clear indication of which end *wants* the call to be on hold, and 
> > which one doesn't.
> > 
> >     Paul
> > 
> > Elwell, John wrote:
> > 
> >> In section 8.4 of RFC3264 it says:
> >>
> >> "Typically, when a user "presses" hold, the agent will generate an 
> >> offer with all streams in the SDP indicating a direction 
> of sendonly, 
> >> and it will also locally mute, so that no media is sent to 
> the far  
> >> end, and no media is played out."
> >>
> >> This seems strange. If the UA is not sending any media to 
> the far end, 
> >> why not use "inactive" instead of "sendonly"?
> >>
> >> John Elwell ([email-masked])
> >>
> > 
> > 
> > _______________________________________________
> > mmusic mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/mmusic
> > 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic